edu.isi.pegasus.planner.catalog.replica

## Class ReplicaFactory

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.replica.ReplicaFactory

    public class ReplicaFactory
    extends java.lang.Object

This factory loads a replica catalog, as specified by the properties. Each invocation of the factory will result in a new instance of a connection to the replica catalog.

Version:
  $Revision$
Author:
  Karan Vahi, Jens-S. Vöckler
See Also:
  `edu.isi.pegasus.planner.catalog.replica.ReplicaCatalog`, `ReplicaCatalogEntry`, `JDBCRC`

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE` Package to prefix "just" class names with.

### Constructor Summary

Constructors
Constructor and Description
`ReplicaFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ReplicaCatalog` `loadInstance()` Connects the interface with the replica catalog implementation.
`static ReplicaCatalog` `loadInstance(CommonProperties props)` Connects the interface with the replica catalog implementation.
`static ReplicaCatalog` `loadInstance(PegasusProperties props)` Connects the interface with the replica catalog implementation.
`static ReplicaCatalog` `loadInstance(java.lang.String catalogImplementor, java.util.Properties props)` Connects the interface with the replica catalog implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE

    public static final java.lang.String DEFAULT_PACKAGE

Package to prefix "just" class names with.

See Also:
  Constant Field Values

### Constructor Detail

#### ReplicaFactory

    public ReplicaFactory()

### Method Detail

#### loadInstance

    public static ReplicaCatalog loadInstance(PegasusProperties props)
                                       throws java.lang.ClassNotFoundException,
                                              java.io.IOException,
                                              java.lang.NoSuchMethodException,
                                              java.lang.InstantiationException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException

Connects the interface with the replica catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `props` - is an instance of properties to use.
Throws:
  `java.lang.ClassNotFoundException` - if the schema for the database cannot be loaded. You might want to check your CLASSPATH, too.
  `java.lang.NoSuchMethodException` - if the schema's constructor interface does not comply with the database driver API.
  `java.lang.InstantiationException` - if the schema class is an abstract class instead of a concrete implementation.
  `java.lang.IllegalAccessException` - if the constructor for the schema class it not publicly accessible to this package.
  `java.lang.reflect.InvocationTargetException` - if the constructor of the schema throws an exception while being dynamically loaded.
  `java.io.IOException`
See Also:
  `org.griphyn.common.util.CommonProperties`, `loadInstance()`

#### loadInstance

    public static ReplicaCatalog loadInstance(CommonProperties props)
                                       throws java.lang.ClassNotFoundException,
                                              java.io.IOException,
                                              java.lang.NoSuchMethodException,
                                              java.lang.InstantiationException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException

Connects the interface with the replica catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `props` - is an instance of properties to use.
Throws:
  `java.lang.ClassNotFoundException` - if the schema for the database cannot be loaded. You might want to check your CLASSPATH, too.
  `java.lang.NoSuchMethodException` - if the schema's constructor interface does not comply with the database driver API.
  `java.lang.InstantiationException` - if the schema class is an abstract class instead of a concrete implementation.
  `java.lang.IllegalAccessException` - if the constructor for the schema class it not publicly accessible to this package.
  `java.lang.reflect.InvocationTargetException` - if the constructor of the schema throws an exception while being dynamically loaded.
  `java.io.IOException`
See Also:
  `org.griphyn.common.util.CommonProperties`, `loadInstance()`

#### loadInstance

    public static ReplicaCatalog loadInstance(java.lang.String catalogImplementor,
                                              java.util.Properties props)
                                       throws java.lang.ClassNotFoundException,
                                              java.io.IOException,
                                              java.lang.NoSuchMethodException,
                                              java.lang.InstantiationException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException

Connects the interface with the replica catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `props` - is an instance of properties to use.
Throws:
  `java.lang.ClassNotFoundException` - if the schema for the database cannot be loaded. You might want to check your CLASSPATH, too.
  `java.lang.NoSuchMethodException` - if the schema's constructor interface does not comply with the database driver API.
  `java.lang.InstantiationException` - if the schema class is an abstract class instead of a concrete implementation.
  `java.lang.IllegalAccessException` - if the constructor for the schema class it not publicly accessible to this package.
  `java.lang.reflect.InvocationTargetException` - if the constructor of the schema throws an exception while being dynamically loaded.
  `java.io.IOException`
See Also:
  `org.griphyn.common.util.CommonProperties`, `loadInstance()`

#### loadInstance

    public static ReplicaCatalog loadInstance()
                                       throws java.lang.ClassNotFoundException,
                                              java.io.IOException,
                                              java.lang.NoSuchMethodException,
                                              java.lang.InstantiationException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              java.util.MissingResourceException

Connects the interface with the replica catalog implementation. The choice of backend is configured through properties. This method uses default properties from the property singleton.

Throws:
  `java.lang.ClassNotFoundException` - if the schema for the database cannot be loaded. You might want to check your CLASSPATH, too.
  `java.lang.NoSuchMethodException` - if the schema's constructor interface does not comply with the database driver API.
  `java.lang.InstantiationException` - if the schema class is an abstract class instead of a concrete implementation.
  `java.lang.IllegalAccessException` - if the constructor for the schema class it not publicly accessible to this package.
  `java.lang.reflect.InvocationTargetException` - if the constructor of the schema throws an exception while being dynamically loaded.
  `java.util.MissingResourceException` - if the properties could not be loaded properly.
  `java.io.IOException`
See Also:
  `org.griphyn.common.util.CommonProperties`, `#loadInstance( org.griphyn.common.util.CommonProperties )`